#
# spec file for package patterns-lxqt
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_with betatest

Name:           patterns-lxqt
Version:        20170319
Release:        lp152.8.1
Summary:        Patterns for Installation (LXQt)
License:        MIT
Group:          Metapackages
URL:            https://github.com/openSUSE/patterns
Source0:        %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  patterns-rpm-macros

%description
This is an internal package that is used to create the patterns as part
of the installation source setup.  Installation of this package does
not make sense.

This particular package contains the LXQt patterns.

################################################################################

%package lxqt
%pattern_graphicalenvironments
Summary:        LXQt Desktop Environment
Group:          Metapackages
Provides:       pattern() = lxqt
Provides:       pattern-icon() = pattern-lxqt
Provides:       pattern-order() = 1460
Provides:       pattern-visible()

Requires:       breeze5-icons
Requires:       lxqt-about
Requires:       lxqt-config
Requires:       lxqt-globalkeys
Requires:       lxqt-notificationd
Requires:       lxqt-openssh-askpass
Requires:       lxqt-panel
Requires:       lxqt-policykit
Requires:       lxqt-powermanagement
Requires:       lxqt-qtplugin
Requires:       lxqt-runner
Requires:       lxqt-session
Requires:       lxqt-sudo
Requires:       lxqt-themes
Requires:       oxygen5-icon-theme
Requires:       pattern() = x11
Recommends:     pattern() = multimedia
# non core packages belonging to LXQt organization
Recommends:     pcmanfm-qt
Recommends:     lxqt-archiver
Recommends:     pavucontrol-qt
Recommends:     qterminal
Recommends:     obconf-qt
Recommends:     lximage-qt
Recommends:     featherpad

Suggests:       qps
Suggests:       qlipper

# Pulseaudio is the default sound server
Recommends:     pulseaudio-module-bluetooth
Recommends:     pulseaudio-module-gconf
Recommends:     pulseaudio-module-lirc
Recommends:     pulseaudio-module-x11
Recommends:     pulseaudio-module-zeroconf
Recommends:     pulseaudio-utils

# 
Recommends:     openbox
Recommends:     obconf
Recommends:     qupzilla
Recommends:     xdg-utils
Recommends:     xdg-user-dirs
Recommends:     xscreensaver
Recommends:     xorg-x11-essentials
Recommends:     lightdm
# misc
Recommends:     ark
Recommends:     claws-mail

Recommends:     pk-update-icon
Recommends:     apper

Recommends:     avahi
Recommends:     kdesu
Recommends:     system-config-printer
Recommends:     simple-scan
Recommends:     libyui-qt-pkg
Recommends:     yast2-control-center-qt
Recommends:     NetworkManager
# at some point nm-tray might be better
Recommends:     NetworkManager-applet
Recommends:     google-droid-fonts
Recommends:     desktop-data-openSUSE
Recommends:     samba
Suggests:       hplip

%description lxqt
LXQt is a lightweight desktop environment based on Qt.

%files lxqt
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/lxqt.txt

################################################################################

%prep

%build

%install
mkdir -p %{buildroot}/%{_defaultdocdir}/patterns/
echo 'This file marks the pattern lxqt to be installed.' >%{buildroot}/%{_defaultdocdir}/patterns/lxqt.txt

%changelog
* Sun May 17 2020 Michael Vetter <mvetter@suse.com>
- Add new lxqt-archiver to recommends
* Fri Feb  7 2020 Michael Vetter <mvetter@suse.com>
- bsc#1159958: Use breeze icon theme
  Paper doesn't have yast icons yet.
* Tue Oct 23 2018 mvetter@suse.com
- bsc#1112961: Require Paper icon theme
  It gets set in lxqt-session
* Tue Oct 23 2018 mvetter@suse.com
- bsc#1084751: Make sure oxygen icon theme is installed
  Even if we use another later this is used as fallback by LXQt
* Tue Jul  3 2018 mvetter@suse.com
- bsc#1097842: Add pattern-icon so it displays in the installer.
  Depends on addition of LXQt icon to yast2-branding-openSUSE,
  which got merged already.
* Wed Jun 20 2018 mvetter@suse.com
- Remove depracated: Requires: lxqt-l10n
  Package provide their translations now
* Wed Jun 20 2018 mvetter@suse.com
- Update for LXQt 0.13.0 (bsc#1097856):
  * Add featherpad to requires so LXQt (bsc#1055746)
    It's the new default editor of LXQt
  * Suggest qps, process manager
  * Suggest qlipper, clipboard manager
* Sun May 20 2018 mvetter@suse.com
- Remove Recommends: xfce4-power-manager:
  we have lxqt-powermanagement
- Remove Recommends: xfce4-screenshooter:
  lximage-qt does this via the -s option. It also has comes with
  a desktop file to have this easily available
* Mon Oct 23 2017 mvetter@suse.com
- Remove deprecated lxqt-common
- Add new lxqt-themes
* Thu Sep 14 2017 mvetter@suse.com
- boo#1054519:
  Recommend xdg-user-dirs so standard XDG dirs are created
* Mon Apr 10 2017 jengelh@inai.de
- Use macros over old $RPM shell vars.
* Thu Mar 16 2017 sflees@suse.de
- Create new package from old unified patterns package
